UHIDEV(4) | Device Drivers Manual | UHIDEV(4)

# NAME

`uhidev` — USB Human Interface Device support

# SYNOPSIS

`uhidev* at uhub?`
`ucycom* at uhidev? reportid ?`
`uhid* at uhidev? reportid ?`
`ukbd* at uhidev? reportid ?`
`ums* at uhidev? reportid ?`
`uts* at uhidev? reportid ?`

# DESCRIPTION

The `uhidev` driver handles all Human Interface Devices. Each HID device can have several components, e.g., a keyboard and a mouse. These components use different report identifiers (a byte) to distinguish which one data is coming from. The `uhidev` driver has other drivers attached that handle particular kinds of devices and `uhidev` only dispatches data to them based on the report id.

# SEE ALSO

ucycom(4), uhid(4), ukbd(4), ums(4), usb(4), uts(4)

# HISTORY

The `uhidev` driver appeared in NetBSD 1.6.

September 6, 2017 | NetBSD 11.0